# Generated from nr-fluent-test-0.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name nr-fluent-test

Name: rubygem-%{gem_name}
Version: 0.1.4
Release: 1%{?dist}
Summary: Sends FluentD events to New Relic
License: Apache-2.0
URL: https://github.com/newrelic/newrelic-fluentd-output
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(rspec_junit_formatter)
BuildArch: noarch

%description
Sends FluentD events to New Relic.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/azure-pipelines.yml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.dockerignore
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/newrelic-fluentd-output.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.1.4-1
- Initial package
